FOOBILLARDPLUS(6)

NAME
FooBillard++ - 3D OpenGL Billiard Game

SYNOPSIS
foobillardplus [--option [<arg>]]

DESCRIPTION
foobillardplus is an advanced 3D OpenGL billiard game based on the original foobillard 3.0a sources from Florian Berger. You can play it with one or two players or against the computer. The game features:
 * Wood paneled table with gold covers and gold diamonds.
 * Reflections on balls.
 * Zoom in and out, rotation, different angles and bird's eye view.
 * Different game modes: 8 or 9-ball, Snooker or Karambol.
 * Tournaments. Compete against other players.
 * Animated cue with strength and eccentric hit adjustment.
 * Jump shots and snipping.
 * Realistic gameplay and billiard sounds.
 * Red-Green stereo.
 * And much more.

OPTIONS
--player1 <arg>

    arg=ai|human set player1 ai/human

--player2 <arg>

    arg=ai|human set player2 ai/human

--p1 <arg>

    arg=ai|human set player1 ai/human

--p2 <arg>

    arg=ai|human set player2 ai/human

--name1 <arg>

    Set name of player1

--name2 <arg>

    Set name of player2

--8ball

    8ball pool game

--9ball

    9ball pool game

--carambol

    Carambol billard game

--snooker

    Snooker billard game

--chromeblue

    Blue table with chrome edges

--goldgreen

    Green table with gold edges

--goldred

    Red table with gold edges

--blackbeige

    Beige table with black metal

--tronmode <arg>

    Toggle Tron Mode

--tablesize <arg>

    Table size (length) in foot (default=7.0)

--lensflare

    Turn on lens flare

--nolensflare

    Turn off lens flare

--poslight

    Use positional light

--dirlight

    Use directional light

--vsync <arg>

    arg=on|off

--ai1err <arg>

    To err is artificial (player1 error 0..1)

--ai2err <arg>

    To err is artificial (player2 error 0..1)

--balldetail <arg>

    Set ball detail l[ow] m[edium] h[igh] or v[eryhigh]

--glassball <arg>

    arg=on|off Glassballs on or off

--rgstereo

    Start in stereo mode (red-green(cyan))

--rgaim <arg>

    arg=left|right|middle for aiming eye position

--hostaddr <arg>

    arg=IP-address for TCP/IP connection

--portnum <arg>

    arg=port# for TCP/IP connection

--geometry <arg>

    <width>x<height> window geometry

--fullscreen

    Play in fullscreen mode

--browser <arg>

    arg= browsername in path (default: firefox)

--freemove <arg>

    arg=on|off free move in external view mode

--cuberef <arg>

    arg=on|off rendered cubemap reflections

--cuberes <arg>

    arg=<texture size for cuberef> (must be power of 2)

--ballsphere <arg>

    arg=on|off

--bumpref <arg>

    arg=on|off bumpmap reflections of edges

--bumpwood <arg>

    arg=on|off bumpmap of wood covers

--balltraces <arg>

    arg=on|off trace lines of balls

--gamemode <arg>

    arg=match|training|tournament

--avatar <arg>

    arg=on|off enable/disable avatar

--tourfast <arg>

    arg=1.0..10.0 AI fast motion ratio for tournament

--showbuttons <arg>

    arg=on|off

--jumpshots <arg>

    arg=on|off

--aliasing <arg>

    arg=on|off

--aliasmax <arg>

    fsaa value 1,2,4,8

--statustext <arg>

    arg=on|off

--language <arg>

    Change language

--usesound <arg>

    arg=on|off

--usemusic <arg>

    arg=on|off

--musicvol <arg>

    Volume 0-128

--soundvol <arg>

    Volume 0-128

--pcarambol <arg>

    arg=5-100

--controlkind <arg>

    arg=on|off

--aibirdview <arg>

    arg=on|off

--anisotrop <arg>

    arg=on|off

--mouseshoot <arg>

    arg=on|off

--oldmoving <arg>

    arg=on|off

--auto_freemove <arg>

    arg=on|off

--fsaa <arg>

    arg=on|off

--roomtexture <arg>

    arg=on|off

--furnituretex <arg>

    Extratexture: 0 = off, 1 = default, 2 = high

--help

    This help